@import "../../../../styles/colors.scss";
@import "../../../../styles/responsive.scss";

.hero {
  display: flex;
  align-items: center;
  justify-content: center;

  &__title {
    text-transform: uppercase;
    color: white;
    text-align: center;
    letter-spacing: 2px;

    @include desktop {
      font-size: 3rem;
    }
  }
}
.hero--background {
  background-image: url("../../../../assets/img/about-image.jpg");
  width: 100%;
  height: 85vh;
  background-size: cover;
  background-position: right;
  background-repeat: no-repeat;

  @include tablet {
    height: 50vh;
  }

  @include desktop {
    height: 90vh;
    background-position: center;
  }
}

.section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 20px;
  padding:0px 20px;

  &__container-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-top: 60px;
    margin-bottom: 40px;

    @include tablet {
      width: 85vw;
    }

    .title {
      color: $secondary-color;
      letter-spacing: 1px;
    }
  }

  &__container-item {
    border-radius: 5px;
    box-shadow: 0px 0px 3px #b1acac;
    padding: 10px;
    margin-bottom: 40px;

    @include tablet {
      width: 30vw;
      margin-right: 20px;
    }

    @include desktop {
      width: 20vw;
      margin-top: 3px;
    }

    .container-img {
      display: flex;
      justify-content: center;
      margin-bottom: 20px;
      .img {
        width: 100%;
      }
    }
    .container-location {
      .container-icon {
        width: 30px;
        .icon {
          width: 100%;
        }
      }
      .location {
        width: 200px;
        line-height: 24px;
        font-size: 0.9rem;
        color: #868e96;
        font-weight: 700;
      }

      .row {
        display: flex;
        flex-direction: row;
        align-items: flex-end;
      }

      h3 {
        color: $secondary-color;
        font-weight: 700;
        margin: 15px 0px;
      }
    }

    .container-dates {
      display: flex;
      flex-direction: row;
      .dates {
        margin-right: 8px;
      }

      .price {
        color: #868e96;
        border-left: 1px solid $secondary-color;

        p {
          margin-left: 8px;
        }
      }
    }
  }

}
